Loading...
Searching...
No Matches
irr::core::irrAllocator< T > Class Template Reference

Very simple allocator implementation, containers using it can be used across dll boundaries. More...

`#include <irrAllocator.h>`

## Public Member Functions

virtual | ~irrAllocator ()
| Destructor.
T * | allocate (size_t cnt)
| Allocate memory for an array of objects.
void | construct (T *ptr, const T &e)
| Construct an element.
void | deallocate (T *ptr)
| Deallocate memory for an array of objects.
void | destruct (T *ptr)
| Destruct an element.

## Protected Member Functions

virtual void | internal_delete (void *ptr)
virtual void * | internal_new (size_t cnt)

## Detailed Description

template<typename T>
class irr::core::irrAllocator< T >

Very simple allocator implementation, containers using it can be used across dll boundaries.

Definition at line 25 of file irrAllocator.h.

## Constructor & Destructor Documentation

## ~irrAllocator()

template<typename T>

virtual irr::core::irrAllocator< T >::~irrAllocator | ( |  | ) |

inline virtual

Destructor.

Definition at line 30 of file irrAllocator.h.

## Member Function Documentation

## allocate()

template<typename T>

T * irr::core::irrAllocator< T >::allocate | ( | size_t | cnt | ) |

inline

Allocate memory for an array of objects.

Definition at line 33 of file irrAllocator.h.

References internal_new().

## construct()

template<typename T>

void irr::core::irrAllocator< T >::construct | ( | T * | ptr,
|  | const T & | e )

inline

Construct an element.

Definition at line 45 of file irrAllocator.h.

## deallocate()

template<typename T>

void irr::core::irrAllocator< T >::deallocate | ( | T * | ptr | ) |

inline

Deallocate memory for an array of objects.

Definition at line 39 of file irrAllocator.h.

References internal_delete().

## destruct()

template<typename T>

void irr::core::irrAllocator< T >::destruct | ( | T * | ptr | ) |

inline

Destruct an element.

Definition at line 51 of file irrAllocator.h.

## internal_delete()

template<typename T>

virtual void irr::core::irrAllocator< T >::internal_delete | ( | void * | ptr | ) |

inline protected virtual

Definition at line 63 of file irrAllocator.h.

Referenced by deallocate().

## internal_new()

template<typename T>

virtual void * irr::core::irrAllocator< T >::internal_new | ( | size_t | cnt | ) |

inline protected virtual

Definition at line 58 of file irrAllocator.h.

Referenced by allocate().

The documentation for this class was generated from the following file:

- irrAllocator.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0